package com.xy.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.xy.base.BaseEntity3;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 设备-系统信息
 * </p>
 *
 * @author lijin
 * @since 2022-12-23
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
public class DeviceSysinfo extends BaseEntity3<DeviceSysinfo> {

    private static final long serialVersionUID = 1L;

    @TableId
    private Long deviceId;

    /**
     * 设备SN号
     */
    private String deviceSn;

    /**
     * 启动程序版本号
     */
    private String androidStartAppVersion;

    /**
     * 安卓系统版本号
     */
    private String androidVersion;

    /**
     * 系统root状态
     */
    private Integer androidRootState;

    /**
     * 安卓系统型号
     */
    private String androidModel;

    /**
     * 系统启动APP
     */
    private String sysLauncher;

    /**
     * 系统时区
     */
    private String sysTimezone;

    /**
     * 是否自动时间
     */
    private String sysDatetimeauto;

    /**
     * 是否自动时间
     */
    private String sysTimezhoneauto;

    /**
     * 上位机版本号
     */
    private String appUpmVersion;

    /**
     * 下位机版本号
     */
    private String appDownmVersion;

    /**
     * 流量卡号
     */
    private String simIccid;

    /**
     * 流量卡运营商
     */
    private String simIsp;

    /**
     * 流量卡公司
     */
    private String simCompany;

    /**
     * 磁盘空间
     */
    private Integer diskSpace;

    /**
     * 内存容量
     */
    private Integer memerySpace;

}
